# This file created by conda-build 2.1.17
# meta.yaml template originally from:
# /home/rdonnelly/conda/conda-recipes/r-packages/r-hunspell, last modified Thu Aug  3 18:14:09 2017
# ------------------------------------------------

package:
    name: r-hunspell
    version: '2.5'
source:
    fn: hunspell_2.5.tar.gz
    sha256: 17e83c287ff2da6e703a2ea139206daf3e93714c83d76616e8a710485f94ba5f
    url:
        - https://cran.r-project.org/src/contrib/hunspell_2.5.tar.gz
        - https://cran.r-project.org/src/contrib/Archive/hunspell/hunspell_2.5.tar.gz
build:
    noarch: ''
    noarch_python: false
    number: '0'
    rpaths:
        - lib/R/lib/
        - lib/
    string: r3.4.1_0
requirements:
    build:
        - r-base 3.4.1 0
        - xz 5.2.2 1
        - libtiff 4.0.6 3
        - jbig 2.1 0
        - bzip2 1.0.6 3
        - ncurses 5.9 10
        - isl 0.12.2 0
        - r-digest 0.6.12 r3.4.1_0
        - krb5 1.13.2 0
        - tk 8.5.18 0
        - zlib 1.2.8 3
        - libpng 1.6.27 0
        - mpc 1.0.3 0
        - jpeg 9b 0
        - libgcc 5.2.0 0
        - openssl 1.0.2l 0
        - mpfr 3.1.5 0
        - pcre 8.39 1
        - curl 7.54.1 0
        - libiconv 1.14 0
        - gcc 4.8.5 7
        - cairo 1.14.8 0
        - icu 54.1 0
        - r-rcpp 0.12.11 r3.4.1_0
        - readline 6.2 2
        - libffi 3.2.1 1
        - cloog 0.18.0 0
        - gsl 2.2.1 0
        - freetype 2.5.5 2
        - pixman 0.34.0 0
        - libxml2 2.9.4 0
        - glib 2.50.2 1
        - fontconfig 2.12.1 3
        - libssh2 1.8.0 0
        - pango 1.40.3 1
        - gmp 6.1.0 0
        - harfbuzz 0.9.39 2
    run:
        - r-base
        - r-rcpp
        - r-digest
        - libgcc
test:
    commands:
        - $R -e "library('hunspell')"
about:
    home: https://github.com/ropensci/hunspell#readme (devel) https://hunspell.github.io
        (upstream)
    license: GPL-2 | LGPL-2.1 | MPL-1.1
    license_family: GPL2
    summary: A spell checker and morphological analyzer library designed for languages
        with rich morphology and complex word compounding or character encoding. The
        package can check and analyze individual words as well as search for incorrect
        words within a text, latex, html or xml document. Use the 'devtools' package
        to spell check R documentation with 'hunspell'.
extra:
    final: true
